<?php
session_start();
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
}
include 'layouts/header.php';

?>

<main class="main px-lg-6">

    <!-- Content -->
    <div class="container-lg">

        <!-- Page header -->
        <div class="row align-items-center mb-7">
            <div class="col-auto">

                <!-- Avatar -->
                <div class="avatar avatar-xl rounded text-primary">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" class="fs-2 duo-icon duo-icon-user" data-duoicon="user">
                        <path fill="currentColor" d="M12 13c2.396 0 4.575.694 6.178 1.671.8.49 1.484 1.065 1.978 1.69.486.616.844 1.352.844 2.139 0 .845-.411 1.511-1.003 1.986-.56.45-1.299.748-2.084.956-1.578.417-3.684.558-5.913.558s-4.335-.14-5.913-.558c-.785-.208-1.524-.506-2.084-.956C3.41 20.01 3 19.345 3 18.5c0-.787.358-1.523.844-2.139.494-.625 1.177-1.2 1.978-1.69C7.425 13.694 9.605 13 12 13Z" class="duoicon-primary-layer"></path>
                        <path fill="currentColor" d="M12 2c3.849 0 6.255 4.167 4.33 7.5A5 5 0 0 1 12 12c-3.849 0-6.255-4.167-4.33-7.5A5 5 0 0 1 12 2Z" class="duoicon-secondary-layer" opacity=".3"></path>
                    </svg>
                </div>

            </div>
            <div class="col">

                <!-- Breadcrumb -->
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-2">
                        <li class="breadcrumb-item"><a class="text-body-secondary" href="#">Books</a></li>

                    </ol>
                </nav>

                <!-- Heading -->
                <h1 class="fs-4 mb-0">Add New Books</h1>

            </div>
         
        </div>

        <!-- Page content -->
        <div class="row">
            <div class="col">

                <!-- Form -->
                <form id="addbooks">
                    <div class="mb-4">
                        <label class="form-label" for="book_name">Book name</label>
                        <input class="form-control" class="book_name" id="book_name" type="text">
                    </div>
                    <div class="mb-4">
                        <label class="form-label" for="">Book Parent Category</label>
                        <select class="form-select" id="parentcategory" aria-label="Default select example">
                        <option selected>No Parent</option>
                        <?php include 'auth/db.php';
                        $sql = "SELECT * FROM `categories` WHERE `product_cat` = 'No Parent'";
                        $result = mysqli_query($conn, $sql);
                        if ($result) {
                            while ($row = mysqli_fetch_assoc($result)) {
                                $id = $row['id'];
                                $name = $row['name'];
                                echo ' <option value="' . $name . '">' . $name . '</option>';
                            }
                        }
                        ?>
                        </select>
                    </div>
                    <div class="mb-4">
                        <label class="form-label" for="phone">Book Child Category</label>
                        <select class="form-select" id="childcategory" aria-label="Default select example">
                        <option selected>No Child</option>
                        <?php include 'auth/db.php';
                        $sql = "SELECT * FROM `categories` WHERE `product_cat` != 'No Parent'";
                        $result = mysqli_query($conn, $sql);
                        if ($result) {
                            while ($row = mysqli_fetch_assoc($result)) {
                                $id = $row['id'];
                                $name = $row['name'];
                                echo ' <option value="' . $name . '">' . $name . '</option>';
                            }
                        }
                        ?>
                        </select>
                    </div>
                    <div class="mb-4">
                        <label class="form-label" for="location">Upload Pdf</label>
                        <input  class="form-control" id="bookimage" type="file">
                    </div>

                    <button type="submit" class="btn btn-secondary w-100">
                       Save
                    </button>

                </form>

            </div>
        </div>
    </div>
</main>


<?php include 'layouts/footer.php' ?>