<?php
session_start();
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
}
include 'layouts/header.php';

?>

<main class="main px-lg-6">
    <!-- Content -->
    <div class="container-lg">
        <!-- Page header -->
        <div class="row align-items-center mb-7">
            <div class="col-auto">
                <!-- Avatar -->
                <div class="avatar avatar-xl rounded text-primary">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" class="fs-2 duo-icon duo-icon-clipboard" data-duoicon="clipboard">
                        <path fill="currentColor" d="M7 3v1a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V3h1a2 2 0 0 1 2 2v11a6 6 0 0 1-6 6H6a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h1Z" class="duoicon-secondary-layer" opacity=".3"></path>
                        <path fill="currentColor" d="M14 2a1 1 0 0 1 .117 1.993L14 4h-4a1 1 0 0 1-.117-1.993L10 2h4Zm1 8H9a1 1 0 0 0-.117 1.993L9 12h6a1 1 0 1 0 0-2Zm-3 4H9a1 1 0 1 0 0 2h3a1 1 0 1 0 0-2Z" class="duoicon-primary-layer"></path>
                    </svg>
                </div>
            </div>
            <div class="col">
                <!-- Breadcrumb -->
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-2">
                        <li class="breadcrumb-item"><a class="text-body-secondary" href="#">Categories</a></li>
                        <li class="breadcrumb-item active" aria-current="page"></li>
                    </ol>
                </nav>

                <!-- Heading -->
                <h1 class="fs-4 mb-0">Add New</h1>
            </div>

        </div>

        <div class="multisteps-form__content mx-2 mx-md-4">

            <div class="row mt-3">
                <div class="col-12 col-sm-6">
                    <label>Select Parent Category</label>
                    <select class="form-select form-select-lg mb-3" id="select_cat" aria-label="Large select example">
                        <option selected>No Parent</option>
                        <?php include 'auth/db.php';
                        $sql = "SELECT * FROM `categories` WHERE `product_cat` = 'No Parent'";
                        $result = mysqli_query($conn, $sql);
                        if ($result) {
                            while ($row = mysqli_fetch_assoc($result)) {
                                $id = $row['id'];
                                $name = $row['name'];
                                echo ' <option value="' . $name . '">' . $name . '</option>';
                            }
                        }
                        ?>


                    </select>
                </div>
                <div class="col-12 col-sm-6">
                    <label>Select Child Category</label>
                    <select class="form-select form-select-lg mb-3" id="select_child_cat" aria-label="Large select example">



                    </select>
                </div>

            </div>

            <div class="row mt-3">
                <div class="col-12 col-sm-6">
                    <label class="fw-semibold">Add New Category</label>
                    <div class="mb-3">
                        <input type="text" class="form-control" name="username" id="username" placeholder="Title..." aria-label="Title...">
                    </div>
                </div>
                <div class="col-12 col-sm-6 mt-3 mt-sm-0">
                    <label class="fw-semibold">Image</label>
                    <div>
                        <input type="file" class="form-control" name="cat_image" id="cat_image" accept="image/*" onchange="previewImage(event)" aria-label="Username">
                        <div class="mt-2">
                            <img id="imagePreview" src="#" alt="Image Preview" style="max-width: 100%; max-height: 200px; display: none;">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mt-3">

                <div class="col-12 col-sm-6 mt-3 mt-sm-0">
                    <label class="fw-semibold">Description</label>
                    <div class="">
                        <input type="text" class="form-control" name="desc" id="desc" placeholder="Description">
                    </div>
                </div>
            </div>

            <div class="button-row d-flex">
                <div class="">
                    <button type="button" id="submit_btn" class="btn btn-primary  mt-4 mb-0">Save</button>
                </div>
            </div>
        </div>
    </div>



    <div class="my-4">
        <div class="card mb-4">
            <div class="card-header pb-0 p-3">
                <h6 class="mb-1">Survey Categories</h6>
                <p class="text-sm"></p>
            </div>
            <div class="card-body p-3">
                <div class="row" id="survey_cat_card">



                </div>
            </div>
        </div>
    </div>

</main>

<?php include 'layouts/footer.php' ?>