<?php

require_once '../auth/db.php'; // Include your database connection file

// Function to get books from the database
function getBooks() {
    global $conn;
    $query = "SELECT id, book_name, parent_category, child_category, file_path FROM books"; // Modify according to your table structure

    $result = $conn->query($query);
    $books = [];

    if ($result) {
        while ($row = $result->fetch_assoc()) {
            $books[] = $row; // Add each row to the books array
        }
    }

    return $books;
}

// Check if the request method is GET
if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    // Fetch books data
    $books = getBooks();

    // Set the response code to 200 OK and return the data in JSON format
    http_response_code(200);
    echo json_encode($books);
} else {
    // If the request method is not GET
    http_response_code(405); // Method Not Allowed
    echo json_encode(["error" => "Invalid request method. Use GET."]);
}
?>
