<?php

require_once '../auth/db.php'; 

function checkUserCredentials($email, $password) {
    global $conn; 
    $query = "SELECT id, name, email, password FROM register WHERE email = ?";
    
    if ($stmt = $conn->prepare($query)) {
        $stmt->bind_param("s", $email);
        $stmt->execute();
        $stmt->store_result();
        
        if ($stmt->num_rows === 1) {
            // Bind the result variables
            $stmt->bind_result($id, $name, $email, $plainPassword);
            $stmt->fetch();
            
            // Check if the provided password matches the plain password
            if ($password === $plainPassword) {
                return [
                    'id' => $id,
                    'name' => $name,
                    'email' => $email,
                    'password' => $plainPassword // Return the plain password
                ];
            }
        }
    }
    
    return null; 
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $input = json_decode(file_get_contents('php://input'), true);

    if (isset($input['email'], $input['password'])) {
        $email = $input['email'];
        $password = $input['password'];

        $user = checkUserCredentials($email, $password);
        
        if ($user) {
            http_response_code(200);
            echo json_encode($user);
        } else {
            http_response_code(401); 
            echo json_encode(["error" => "Invalid email or password."]);
        }
    } else {
        http_response_code(400);
        echo json_encode(["error" => "Missing required fields: email or password."]);
    }
} else {
    http_response_code(405); 
    echo json_encode(["error" => "Invalid request method. Use POST."]);
}
?>
