<?php

require_once '../auth/db.php';

// Function to register a new user
function registerUser($fullName, $email, $password) {
    global $conn; 

    // Prepare the SQL query
    $query = "INSERT INTO register (name, email, password) VALUES (?, ?, ?)";
    
    
    if ($stmt = $conn->prepare($query)) {
       
        
        
        $stmt->bind_param("sss", $fullName, $email, $password);
        
      
        if ($stmt->execute()) {
            return true;
        } else {
            return false;
        }
    } else {
        return false; 
    }
}


function isValidEmail($email) {
    return filter_var($email, FILTER_VALIDATE_EMAIL);
}


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
   
    $input = json_decode(file_get_contents('php://input'), true);

  
    $errors = [];

   
    if (empty($input['name'])) {
        $errors[] = "Name is required.";
    } else {
        $name = $input['name'];
    }

    if (empty($input['email'])) {
        $errors[] = "Email is required.";
    } else {
        $email = $input['email'];
    }

   

    if (empty($input['password'])) {
        $errors[] = "Password is required.";
    } else {
        $password = $input['password'];
    }


    if (!empty($email) && !isValidEmail($email)) {
        $errors[] = "Invalid email format.";
    }


    if (!empty($errors)) {
        http_response_code(400); 
        echo json_encode(["errors" => $errors]);
        exit;
    }

   
    if (registerUser($name, $email,  $password)) {
        http_response_code(201); 
        echo json_encode(["success" => "User registered successfully."]);
    } else {
        http_response_code(500);
        echo json_encode(["error" => "Failed to register user."]);
    }
} else {

    http_response_code(405);
    echo json_encode(["error" => "Invalid request method. Use POST."]);
}
?>
