<?php
// Database connection
function dbConnect() {
    $host = 'localhost'; 
    $db = 'books_dashboard'; 
    $user = 'root'; 
    $pass = ''; 

    try {
        return new PDO("mysql:host=$host;dbname=$db;charset=utf8", $user, $pass);
    } catch (PDOException $e) {
        echo "Connection failed: " . $e->getMessage();
        exit();
    }
}

function registerUser($fullName, $email, $phone, $password) {
    $pdo = dbConnect();

    $stmt = $pdo->prepare("INSERT INTO register (name, email, phone, password) VALUES (?, ?, ?, ?)");
    return $stmt->execute([$fullName, $email, $phone, $password]);
}

function loginUser($email, $password) {
    $pdo = dbConnect();

    // Prepare and execute the statement
    $stmt = $pdo->prepare("SELECT id, name, password FROM register WHERE email = ?");
    $stmt->execute([$email]);

    // Fetch the user
    $user = $stmt->fetch(PDO::FETCH_ASSOC);
    if ($user && $user['password'] === $password) { // Check password without hashing
        return $user['id'];
        return $user['name'];
    }
    return false; // Login failed
}

function addCategory( $username, $desc, $selectCat, $selectChildCat, $catImagePath) {
    $pdo = dbConnect(); // Replace with your actual database connection function

    // Prepare the SQL statement
    $stmt = $pdo->prepare("INSERT INTO categories (name, product_desc, product_cat, product_child_cat, image) VALUES (?, ?, ?, ?, ?)");
    
    // Execute the statement with the provided parameters
    return $stmt->execute([$username, $desc, $selectCat, $selectChildCat, $catImagePath]);
}


function addBook($conn, $book_name, $parent_category, $child_category, $file_path) {
    $sql = "INSERT INTO books (book_name, parent_category, child_category, file_path) VALUES (?, ?, ?, ?)";

    // Prepare the statement
    $stmt = mysqli_prepare($conn, $sql);
    if (!$stmt) {
        return false; // Error in SQL query
    }

    // Bind the parameters
    mysqli_stmt_bind_param($stmt, "ssss", $book_name, $parent_category, $child_category, $file_path);

    // Execute the statement
    if (mysqli_stmt_execute($stmt)) {
        return true;
    } else {
        return false;
    }
}

?>
