    <!-- JAVASCRIPT -->
    <!-- Map JS -->
    <script src='https://api.mapbox.com/mapbox-gl-js/v0.53.0/mapbox-gl.js'></script>

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js" integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.min.js" integrity="sha384-0pUGZvbkm6XF6gxjEnlmuGrJXVbNuzT9qBBavbLwCsOGabYfZo0T0to5eqruptLy" crossorigin="anonymous"></script>

    <!-- Vendor JS -->
    <script src="./assets/js/vendor.bundle.js"></script>

    <!-- Theme JS -->
    <script src="./assets/js/theme.bundle.js"></script>

    <script>
        $(document).ready(function() {
            function loadTable() {

                $.ajax({
                    url: './functions/getsurveycategories.php',
                    method: "POST",

                    success: function(data) {
                        $('#survey_cat_card').html(data);
                    }
                })


            }
            loadTable();

            $('#submit_btn').on("click", function(e) {
                e.preventDefault();

                var username = $('#username').val();
                var cat_image = $('#cat_image').prop('files')[0];
                var desc = $('#desc').val();
                var select_cat = $('#select_cat').val();
                var select_child_cat = $('#select_child_cat').val();

                var form_data = new FormData();


                form_data.append('username', username);
                form_data.append('cat_image_name', cat_image);
                form_data.append('desc', desc);
                form_data.append('select_cat', select_cat);
                form_data.append('select_child_cat', select_child_cat);

                $.ajax({
                    type: 'POST',
                    url: './functions/addcategories.php',
                    contentType: false,
                    processData: false,
                    data: form_data,
                    success: function(response) {
                        if (response == 1) {
                            alert(response)
                            loadTable();

                            $('#imagePreview').attr('src', '');


                        } else {
                            alert(response)
                        }
                    }

                });

            });

            $("#addbooks").on("submit", function(event) {
                event.preventDefault(); // Prevent form from submitting traditionally

                // Validate form fields
                var bookName = $("#book_name").val();
                var parentCategory = $("#parentcategory").val();
                var childCategory = $("#childcategory").val();
                var fileInput = $("#bookimage")[0].files[0]; // Access the file input

                if (!bookName) {
                    alert("Book name is required.");
                    return false;
                }
                if (parentCategory == "No Parent") {
                    alert("Please select a Parent Category.");
                    return false;
                }
                if (childCategory == "No Child") {
                    alert("Please select a Child Category.");
                    return false;
                }
                if (!fileInput) {
                    alert("Please upload a PDF.");
                    return false;
                }

              
                var formData = new FormData();
                formData.append("book_name", bookName);
                formData.append("parent_category", parentCategory);
                formData.append("child_category", childCategory);
                formData.append("book_file", fileInput);

             
                $.ajax({
                    url: "./functions/addbooks.php",
                    type: "POST",
                    data: formData,
                    contentType: false,
                    processData: false, 
                    success: function(response) {
                        console.log(response); 
                        if (response== 1) {
                            alert("Book added successfully!");
                        } else {
                            alert(response); 
                        }
                    },
                    error: function(xhr, status, error) {
                        console.log(xhr.responseText);
                        alert("An error occurred. Please try again.");
                    }
                });
            });

        });
    </script>

    <script>
        $(document).ready(function() {
            function loadTable(selectedcat) {



                $.ajax({
                    method: "POST",
                    url: "./functions/selectparentcategory.php",
                    data: {
                        selectedcat: selectedcat,

                    },
                    success: function(data) {
                        if (data) {
                            $('#select_child_cat').html(data);
                        }
                    }
                });
            }
            loadTable()

            $('#select_cat').change(function() {
                var selectedcat = $(this).val();
                loadTable(selectedcat);

            });
        })
    </script>

<script>
    $(document).ready(function() {
        // Function to fetch books and display them in the table
        function fetchBooks() {
            $.ajax({
                url: "./functions/getbooks.php", // URL to the PHP script
                type: "GET", // HTTP method
                dataType: "json", // Expected data type from the PHP script
                success: function(response) {
                    var tbody = $("table tbody");
                    tbody.empty(); // Clear the table body before appending new data

                    // Loop through the response and append rows to the table
                    response.forEach(function(book) {
                        var bookRow = `
                            <tr>
                                <td style="width: 0px">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" id="tableCheckOne">
                                        <label class="form-check-label" for="tableCheckOne"></label>
                                    </div>
                                </td>
                                <td class="text-body-secondary">#${book.id}</td>
                                <td>${book.book_name}</td>
                                <td>${book.parent_category}</td>
                                <td>${book.child_category}</td>
                                <td><a href="functions/${book.file_path}" target="_blank">View PDF</a></td>
                            </tr>`;
                        tbody.append(bookRow); // Append the row to the table body
                    });
                },
                error: function(xhr, status, error) {
                    console.log(xhr.responseText);
                    alert("An error occurred while fetching the books.");
                }
            });
        }

        // Call the fetchBooks function when the page loads
        fetchBooks();
    });
</script>



    </body>

    </html>